xTaskNotifyStateClear

task. h

    BaseType_t xTaskNotifyStateClear( TaskHandle_t xTask );

If the notification state of the task referenced by the handle xTask is eNotified, then set the task's notification state to eNotWaitingNotification. The task's notification value is not altered. Set xTask to NULL to clear the notification state of the calling task.

Returns
  pdTRUE if the task's notification state was set to eNotWaitingNotification, otherwise pdFALSE.